/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-19
 * 描述            ：客户满意度调查表头基础表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.CustomerInformation.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.CustomerInformation.mapper.SlmCustomerSatBaseInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUSTOMER_SAT_BASE_INFO", namespace=SlmCustomerSatBaseInfoMapper.class)
public class SlmCustomerSatBaseInfo extends BaseVO implements Serializable {
	/** 
	 * 调查模板编号
	 */ 
	@Id
	private String sat_no;
	public String getSat_no() {
		return this.sat_no;
	}
	public void setSat_no(String sat_no) {
		this.sat_no = sat_no;
	}

	/** 
	 * 模板编号
	 */ 
	@Column
	private String model_no;
	public String getModel_no() {
		return this.model_no;
	}
	public void setModel_no(String model_no) {
		this.model_no = model_no;
	}

	/** 
	 * 模板名称
	 */ 
	@Column
	private String model_name;
	public String getModel_name() {
		return this.model_name;
	}
	public void setModel_name(String model_name) {
		this.model_name = model_name;
	}

	/** 
	 * 模板版本
	 */ 
	@Column
	private String model_edition;
	public String getModel_edition() {
		return this.model_edition;
	}
	public void setModel_edition(String model_edition) {
		this.model_edition = model_edition;
	}

	/** 
	 * 有效开始日期'
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date model_start_time;
	public Date getModel_start_time() {
		return this.model_start_time;
	}
	public void setModel_start_time(Date model_start_time) {
		this.model_start_time = model_start_time;
	}

	/** 
	 * 有效结束日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date model_end_time;
	public Date getModel_end_time() {
		return this.model_end_time;
	}
	public void setModel_end_time(Date model_end_time) {
		this.model_end_time = model_end_time;
	}

	/** 
	 * 模板状态
	 */ 
	@Column
	private String valid_flag;
	public String getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	/** 
	 * 模板评审状态
	 */ 
	@Column
	private String evaluate_result;
	public String getEvaluate_result() {
		return this.evaluate_result;
	}
	public void setEvaluate_result(String evaluate_result) {
		this.evaluate_result = evaluate_result;
	}
	
	/** 
	 * null
	 */ 
	@Column
	private String create_man_no;
	public String getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man_no;
	public String getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}
	
	/** 
	 * null
	 */ 
	@Column
	private String update_man_name;
	public String getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 申报人编号
	 */ 
	@Column
	private String submit_man_no;
	public String getSubmit_man_no() {
		return this.submit_man_no;
	}
	public void setSubmit_man_no(String submit_man_no) {
		this.submit_man_no = submit_man_no;
	}

	/** 
	 * 申报人姓名
	 */ 
	@Column
	private String submit_man_name;
	public String getSubmit_man_name() {
		return this.submit_man_name;
	}
	public void setSubmit_man_name(String submit_man_name) {
		this.submit_man_name = submit_man_name;
	}
	
	
	/** 
	 * null
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	//column为本对象属性对应表字段的名称，foreignColumn为一对多关联表的关联字段的名称
	//@Collection(column="sat_no", foreignColumn="sat_no", javaType=SlmCustomerSatBaseItem.class)
	private List<SlmCustomerSatBaseItem> child;
	public List<SlmCustomerSatBaseItem> getChild() {
		return child;
	}
	public void setChild(List<SlmCustomerSatBaseItem> child) {
		this.child = child;
	}
}
